Package: groovy.lang

## [Java] Class Tuple3<T1, T2, T3>

- groovy.lang.Tuple3

-     public final class Tuple3<T1, T2, T3>
      extends Tuple

  Represents a list of 3 typed Objects.

  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple3(T1 v1, T2 v2, T3 v3)` Creates a tuple containing the supplied elements.
    `Tuple3(Tuple3<T1, T2, T3> tuple)` Creates a tuple from the supplied tuple.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Tuple3<T1, T2, T3>` | `clone()` {@inheritDoc}
    `` | `public T1` | `getFirst()` Returns the first element.
    `` | `public T2` | `getSecond()` Returns the second element.
    `` | `public T3` | `getThird()` Returns the third element.
    `` | `public T1` | `getV1()` Returns the first element.
    `` | `public T2` | `getV2()` Returns the second element.
    `` | `public T3` | `getV3()` Returns the third element.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Tuple` | `clone, compareTo, equals, get, hashCode, size, subList, subTuple, toArray, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

- - ### Constructor Detail

    - #### public Tuple3(T1 v1, T2 v2, T3 v3)

      Creates a tuple containing the supplied elements.

      Parameters:
        `v1` - the first element
        `v2` - the second element
        `v3` - the third element

    - #### public Tuple3(Tuple3<T1, T2, T3> tuple)

      Creates a tuple from the supplied tuple.

      Parameters:
        `tuple` - the source tuple

  - ### Method Detail

    - #### public Tuple3<T1, T2, T3> clone()

      {@inheritDoc}

    - #### @Deprecated
      public T1 getFirst()

      Returns the first element.

      Returns:
        the first element

    - #### @Deprecated
      public T2 getSecond()

      Returns the second element.

      Returns:
        the second element

    - #### @Deprecated
      public T3 getThird()

      Returns the third element.

      Returns:
        the third element

    - #### public T1 getV1()

      Returns the first element.

      Returns:
        the first element

    - #### public T2 getV2()

      Returns the second element.

      Returns:
        the second element

    - #### public T3 getV3()

      Returns the third element.

      Returns:
        the third element